function MB_ForceMultCoils(addr, data)
%MODBUS Force Multiple Coils
%Internal/External trigger Select
%  Addr = 0   Data = 0   Set Internal Trigger
%  Addr = 0   Data = 1   Set External Trigger
%  Addr = 1   Data = 1   Soft Trigger
addr = [0 addr];
%data = 0;
%External trigger Select
%addr = [0 0];
%data = 1;
%Send soft trigger
%addr = [0 1];
%data = 1;

%FC=15 : Force Multiple Coils
t = tcpip('192.168.70.1',502);
set (t, 'InputBufferSize', 65000);
fopen(t);
%set up request packet for 100 bytes
header = [0 0 0 0];
length = [0 8];
targ_id = 1;
func_code = 15;
%addr = [0 0]
bit_cnt = [0 1];
byte_cnt = 1;
%data = 1 
command = [header length targ_id func_code addr bit_cnt byte_cnt data ]
%header = [0 0  0 0  0 6  1 4 0 0 0 100]
fwrite(t, command,'uint8');

disp('Pausing...')
pause(1);
disp('Reading....')

%Receive data from microblaze MODBUS server
bytes_rcvd = get(t, 'BytesAvailable')
DataReceived = fread(t,bytes_rcvd/2,'uint16');

fclose(t);
disp('done')
